Bug 253518 - textproc/docproj: Update dependency to chase migration to new Hugo/Asciidoctor framework
Summary: textproc/docproj: Update dependency to chase migration to new Hugo/Asciidocto...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D28609
Keywords:
Depends on:
Blocks: 231842
  Show dependency treegraph
 
Reported: 2021-02-14 21:05 UTC by Yasuhiro Kimura
Modified: 2021-05-07 18:38 UTC (History)
4 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
Patch file (3.12 KB, patch)
2021-02-14 21:05 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-02-14 21:05:20 UTC
Created attachment 222447 [details]
Patch file

* Update dependency to chase migration of doc source tree to new Hugo/Asciidoctor framework.
* Bump PORTVERSION to 3.0 to reflect major change.
* While I'm here, remove obsolete 'Created by' header.
Comment 1 Li-Wen Hsu freebsd_committer 2021-02-15 18:24:01 UTC
FYI: https://reviews.freebsd.org/D28609
Comment 2 Marc Fonvieille freebsd_committer 2021-02-17 13:14:00 UTC
Hello, 

Thanks.  We have to update ports with dependencies on docproj before updating it.  I'm currently working on it.
Comment 3 commit-hook freebsd_committer 2021-05-07 00:17:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=21a4260fb3343c08f21ec58635ddad7c522bf87a

commit 21a4260fb3343c08f21ec58635ddad7c522bf87a
Author:     Danilo G. Baio <dbaio@FreeBSD.org>
AuthorDate: 2021-05-07 00:10:49 +0000
Commit:     Danilo G. Baio <dbaio@FreeBSD.org>
CommitDate: 2021-05-07 00:15:31 +0000

    textproc/docproj: Add Hugo/Asciidoctor dependencies

    This just adds the new dependencies for building the doc tree with
    Hugo/Asciidoctor, as we still have the legacy docs available, will be
    kept the former dependencies for a little while.

    PR:      253518
    Submitted by:  Yasuhiro Kimura, Dries Michiels
    Reviewed by:   0mp, adamw, dbaio, debdrup, lwhsu
    Approved by:   doceng (bcr, maintainer)
    Differential Revision:  https://reviews.freebsd.org/D28609

 textproc/docproj/Makefile | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)
Comment 4 Danilo G. Baio freebsd_committer 2021-05-07 00:18:59 UTC
Thank you all.
Comment 5 commit-hook freebsd_committer 2021-05-07 18:38:32 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c4ba03505970eb233fc57991252bd451cfd7109a

commit c4ba03505970eb233fc57991252bd451cfd7109a
Author:     Danilo G. Baio <dbaio@FreeBSD.org>
AuthorDate: 2021-05-07 00:10:49 +0000
Commit:     Danilo G. Baio <dbaio@FreeBSD.org>
CommitDate: 2021-05-07 18:37:38 +0000

    textproc/docproj: Add Hugo/Asciidoctor dependencies

    This just adds the new dependencies for building the doc tree with
    Hugo/Asciidoctor, as we still have the legacy docs available, will be
    kept the former dependencies for a little while.

    PR:      253518
    Submitted by:  Yasuhiro Kimura, Dries Michiels
    Reviewed by:   0mp, adamw, dbaio, debdrup, lwhsu
    Approved by:   doceng (bcr, maintainer)
    Differential Revision:  https://reviews.freebsd.org/D28609

    (cherry picked from commit 21a4260fb3343c08f21ec58635ddad7c522bf87a)

 textproc/docproj/Makefile | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)